classification
Title: Fix default argument for parameter dict_type of ConfigParser/RawConfigParser
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: adelfino, docs@python, inada.naoki, ned.deily
Priority: normal Keywords: patch

Created on 2018-06-07 20:01 by adelfino, last changed 2019-01-31 08:53 by inada.naoki. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7494 merged adelfino, 2018-06-07 20:01
PR 7542 merged miss-islington, 2018-06-08 19:20
Messages (7)
msg318968 - (view) Author: Andrés Delfino (adelfino) * (Python triager) Date: 2018-06-07 20:01
Default argument of parameter dict_type of ConfigParser/RawConfigParser is shown as "collections.OrderedDict", while it recently migrated to "dict".

PR fixes this, documents the change to dict, and fixes a versionchanged changed directive in "items" with wrong indentation.
msg319096 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-06-08 19:19
New changeset 3b0b90c8c3b8161f0ae9005b83b9b6449d4a8476 by Ned Deily (Andrés Delfino) in branch 'master':
bpo-33800: Fix default argument for parameter dict_type of ConfigParser/RawConfigParser (GH-7494)
https://github.com/python/cpython/commit/3b0b90c8c3b8161f0ae9005b83b9b6449d4a8476
msg319097 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-06-08 19:26
New changeset dc20d9d1026282a2879992f4cef517a270c8a467 by Ned Deily (Miss Islington (bot)) in branch '3.7':
bpo-33800: Fix default argument for parameter dict_type of ConfigParser/RawConfigParser (GH-7494) (GH-7542)
https://github.com/python/cpython/commit/dc20d9d1026282a2879992f4cef517a270c8a467
msg319098 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-06-08 19:26
Thanks, Andrés!
msg334610 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2019-01-31 08:30
This should be reverted in 3.7.
bpo-33504 changed dict_type from 3.8+, not 3.7.
msg334611 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2019-01-31 08:34
I revert this change in GH-35865.
msg334614 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2019-01-31 08:53
I'm sorry. bpo-35865 (GH-11711)
History
Date User Action Args
2019-01-31 08:53:05inada.naokisetmessages: + msg334614
2019-01-31 08:34:26inada.naokisetmessages: + msg334611
2019-01-31 08:30:23inada.naokisetnosy: + inada.naoki
messages: + msg334610
2018-06-08 19:26:43ned.deilysetstatus: open -> closed
versions: + Python 3.7
messages: + msg319098

resolution: fixed
stage: patch review -> resolved
2018-06-08 19:26:09ned.deilysetmessages: + msg319097
2018-06-08 19:20:46miss-islingtonsetpull_requests: + pull_request7177
2018-06-08 19:19:23ned.deilysetnosy: + ned.deily
messages: + msg319096
2018-06-07 20:01:46adelfinosetkeywords: + patch
stage: patch review
pull_requests: + pull_request7119
2018-06-07 20:01:29adelfinocreate